%global momorel 1

Summary: MP3 taglib for ruby
Name: ruby-mp3taglib
Version: 0.6
Release: %{momorel}m
Group: Development/Libraries
License: GPL
URL: http://rubyforge.org/projects/mp3taglib/
Source0: http://rubyforge.org/frs/download.php/68/mp3taglib-%{version}.tar.gz
NoSource: 0
Patch0: ruby-mp3taglib-0.6-nonstatic.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: ruby >= 1.6.6
BuildRequires: ruby-devel >= 1.8.2
BuildRequires: id3lib-devel
Requires: id3lib

%description
This extension provides freedb functionality for Ruby.

%global ruby_libdir %(ruby -rrbconfig -e 'puts Config::CONFIG["rubylibdir"]')
%global ruby_archdir %(ruby -rrbconfig -e 'puts Config::CONFIG["archdir"]')

%prep
%setup -q -n mp3taglib-%{version}
%patch0 -p1

%build
ruby extconf.rb
make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make sitedir=%{buildroot}/usr/lib/ruby install

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc README example.rb
%{ruby_archdir}/*so
%{ruby_libdir}/*rb

%changelog
* Thu Jun 29 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (0.6-1m)
- First release to momonga
